import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int n = inf.nextInt();
        int k = inf.nextInt();
        inf.nextToken();
        inf.nextToken();
        for (int i = 0; i < 2 * k; ++i) inf.nextInt();
        int m = inf.nextInt();
        for (int i = 0; i < m; ++i) {
            long cAns = ouf.nextLong();
            long jAns = ans.nextLong();
            if (cAns != jAns)
                return new Outcome(Type.WA, "Contestant answer is wrong on query #" + (i + 1));
        }
        return new Outcome(Type.OK, "Jury has same answer");
    }
}

